--
-- Specialisation for Reanult
-- 
-- Author: Nordline Agricole Team
-- 
-- frei verwendbar - keine erlaubnis ntig  |  free for use - no permission needed.
-- Modifikationen erst nach Rcksprache!    |  modifications only with my permission.
--
-- Hinweis: das kopieren von Sourcecode ist strafbar nach UrhG 2.1

Renault = {};

function Renault.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Renault:load(xmlFile)
	self.drehzahlnadel = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.drehzahlnadel#index"));
	self.tachonadel = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.tachonadel#index"));
	self.fensterOpen = false;
end;

function Renault:delete()
end;

function Renault:readStream(streamId, connection)
end;

function Renault:writeStream(streamId, connection)
end;

function Renault:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Renault:keyEvent(unicode, sym, modifier, isDown)
end;

function Renault:update(dt)
	if self.isMotorStarted then
        local kmh = math.min(65, math.max(0, self.lastSpeed*self.speedDisplayScale*3600));
        local rotateDrehzahlnadel = (((kmh / 25)*72) +10);
		local rotateTachonadel = (((kmh / 25)*34) +10);
		setRotation(self.drehzahlnadel, 0, 0, Utils.degToRad( rotateDrehzahlnadel));
		setRotation(self.tachonadel, 0, 0, Utils.degToRad( rotateTachonadel));
    else
        setRotation(self.drehzahlnadel, 0, 0, 0);
        setRotation(self.tachonadel, 0, 0, 0);
    end;	
end;

function Renault:draw()
end;

function Renault:validateAttacherJoint(implement, jointDesc, dt)
end;

function Renault:onLeave()
end;

function Renault:onEnter()
end;
